Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class WorldManager

    java.lang.Object
      net.minecraft.src.WorldManager

All Implemented Interfaces:
  IWorldAccess

    public class WorldManager

extends Object
implements IWorldAccess

Constructor Summary
`WorldManager(MinecraftServer par1MinecraftServer, WorldServer par2WorldServer)`

Method Summary
`void` | `destroyBlockPartially(int par1, int par2, int par3, int par4, int par5)` Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value
`void` | `func_82746_a(int par1, int par2, int par3, int par4, int par5)`
`void` | `func_85102_a(EntityPlayer par1EntityPlayer, String par2Str, double par3, double par5, double par7, float par9, float par10)`
`void` | `markBlockNeedsUpdate(int par1, int par2, int par3)` Will mark the block and neighbors that their renderers need an update (could be all the same renderer potentially) Args: x, y, z
`void` | `markBlockNeedsUpdate2(int par1, int par2, int par3)` As of mc 1.2.3 this method has exactly the same signature and does exactly the same as markBlockNeedsUpdate
`void` | `markBlockRangeNeedsUpdate(int par1, int par2, int par3, int par4, int par5, int par6)` Called across all registered IWorldAccess instances when a block range is invalidated.
`void` | `obtainEntitySkin(Entity par1Entity)` Start the skin for this entity downloading, if necessary, and increment its reference counter
`void` | `playAuxSFX(EntityPlayer par1EntityPlayer, int par2, int par3, int par4, int par5, int par6)` Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).
`void` | `playRecord(String par1Str, int par2, int par3, int par4)` Plays the specified record.
`void` | `playSound(String par1Str, double par2, double par4, double par6, float par8, float par9)` Plays the specified sound.
`void` | `releaseEntitySkin(Entity par1Entity)` Decrement the reference counter for this entity's skin image data
`void` | `spawnParticle(String par1Str, double par2, double par4, double par6, double par8, double par10, double par12)` Spawns a particle.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorldManager

    public WorldManager(MinecraftServer par1MinecraftServer,
                        WorldServer par2WorldServer)

Method Detail

### spawnParticle

    public void spawnParticle(String par1Str,
                              double par2,
                              double par4,
                              double par6,
                              double par8,
                              double par10,
                              double par12)

  Spawns a particle. Arg: particleType, x, y, z, velX, velY, velZ

  Specified by:
    `spawnParticle` in interface `IWorldAccess`

### obtainEntitySkin

    public void obtainEntitySkin(Entity par1Entity)

  Start the skin for this entity downloading, if necessary, and increment its reference counter

  Specified by:
    `obtainEntitySkin` in interface `IWorldAccess`

### releaseEntitySkin

    public void releaseEntitySkin(Entity par1Entity)

  Decrement the reference counter for this entity's skin image data

  Specified by:
    `releaseEntitySkin` in interface `IWorldAccess`

### playSound

    public void playSound(String par1Str,
                          double par2,
                          double par4,
                          double par6,
                          float par8,
                          float par9)

  Plays the specified sound. Arg: soundName, x, y, z, volume, pitch

  Specified by:
    `playSound` in interface `IWorldAccess`

### func_85102_a

    public void func_85102_a(EntityPlayer par1EntityPlayer,
                             String par2Str,
                             double par3,
                             double par5,
                             double par7,
                             float par9,
                             float par10)

  Specified by:
    `func_85102_a` in interface `IWorldAccess`

### markBlockRangeNeedsUpdate

    public void markBlockRangeNeedsUpdate(int par1,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5,
                                          int par6)

  Called across all registered IWorldAccess instances when a block range is invalidated. Args: minX, minY, minZ, maxX, maxY, maxZ

  Specified by:
    `markBlockRangeNeedsUpdate` in interface `IWorldAccess`

### markBlockNeedsUpdate

    public void markBlockNeedsUpdate(int par1,
                                     int par2,
                                     int par3)

  Will mark the block and neighbors that their renderers need an update (could be all the same renderer potentially) Args: x, y, z

  Specified by:
    `markBlockNeedsUpdate` in interface `IWorldAccess`

### markBlockNeedsUpdate2

    public void markBlockNeedsUpdate2(int par1,
                                      int par2,
                                      int par3)

  As of mc 1.2.3 this method has exactly the same signature and does exactly the same as markBlockNeedsUpdate

  Specified by:
    `markBlockNeedsUpdate2` in interface `IWorldAccess`

### playRecord

    public void playRecord(String par1Str,
                           int par2,
                           int par3,
                           int par4)

  Plays the specified record. Arg: recordName, x, y, z

  Specified by:
    `playRecord` in interface `IWorldAccess`

### playAuxSFX

    public void playAuxSFX(EntityPlayer par1EntityPlayer,
                           int par2,
                           int par3,
                           int par4,
                           int par5,
                           int par6)

  Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).

  Specified by:
    `playAuxSFX` in interface `IWorldAccess`

### func_82746_a

    public void func_82746_a(int par1,
                             int par2,
                             int par3,
                             int par4,
                             int par5)

  Specified by:
    `func_82746_a` in interface `IWorldAccess`

### destroyBlockPartially

    public void destroyBlockPartially(int par1,
                                      int par2,
                                      int par3,
                                      int par4,
                                      int par5)

  Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value

  Specified by:
    `destroyBlockPartially` in interface `IWorldAccess`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD